パスワードを忘れた? アカウント作成
12535962 story
インターネットエクスプローラ

旧バージョンのIEは2016年1月にサポート終了、何か対策してる? 104

ストーリー by headless
旧IE 部門より
Internet Explorer(IE)の旧バージョンは、すべて2016年1月12日でサポートが終了する。引き続きサポートを受けるには、Windowsがサポートする最新版のIEに更新する必要がある(The Registerの記事IEBlogの記事マイクロソフトサポートライフサイクル[1][2])。

Windows 7 SP1ではIE 8~11をサポートするが、1月12日以降はIE 11のみがテクニカルサポートや更新プログラム提供を受けられる。また、Windows Vistaの場合はIE 9のみがサポート対象となる。Windows 8.1 Update/10は標準でIE 11が搭載されているため問題ない。

Windows 8については1月12日でOS自体のサポートが終了するので、IEのバージョンとは関係なく、引き続きサポートを受けるにはWindows 8.1にアップグレードする必要がある。

Net Applicationsの9月分データではIE 8~10のシェアが22.55%、StatCounterでは6.06%を占める。ただし、データにはWindows XP/8も含まれており、Windows VistaでIE 9を使用しているケースも含まれるので、移行が必要な旧バージョンのIEがどの程度存在するのかは不明だ。Gartnerによれば移行の規模はWindows XPのサポート終了時に匹敵するといい、BrowsiumはIE 11への移行を必要とするPCがWindows 7だけで4~5億台にのぼると述べているそうだ。

旧バージョンのIEのサポート終了自体は1年以上前に公表されていたものだが、皆さんの周囲で旧バージョンのIEを使用している人はどれくらいいるだろう。職場に旧バージョンのIEが多い場合、何か対策を考えているだろうか。
この議論は賞味期限が切れたので、アーカイブ化されています。 新たにコメントを付けることはできません。
  • うちの会社の話 (スコア:4, 参考になる)

    by Anonymous Coward on 2015年10月04日 19時56分 (#2893837)

    IE11に更新するようユーザにアナウンスしたほうがいいんじゃないですか?と提案したところ、
    「そんなことして互換性問題やらなにやらでクレーム付けられたらうちの責任になる。
    何も言わなければ何が起きようがユーザの自己責任だ。」
    と訳の分からない理論で却下され、なにもしないことになりましたとさ。

    • by plauda (46850) on 2015年10月04日 21時03分 (#2893862)

      実のところ、自己責任で使うユーザーもいれば、有償でサービスがあれば移行したいと
      考えているユーザなど、方針はユーザーごとに本当にバラバラだろうというのが現実。

      トラブルが起こったときにユーザー責任だ!と言い張って超揉めるケースも発生する
      可能性はあって、そういうユーザーには事前に有償サービスを進めておけば、
      トラブルを避けられることもある。

      結局、自分たちのユーザーがどんなポリシーなのかを把握した上で、
      複数の選択肢を用意しておくのが望ましい。
      色んなユーザーがいるのに選択肢が一つしかないと、後で現場が苦しむんですよね。

      親コメント
    • by Anonymous Coward on 2015年10月05日 1時09分 (#2893963)

      そりゃベンダーが移行しろってアナウンスして、それで互換性の問題でトラブルが起こったら、
      ユーザはクレームつけるだろ?
      「お前ら検証もしてない、対策も用意してないのに移行しろって言い出したのか」って。

      新しいIEで使ってほしいなら、ベンダーはアナウンスだけじゃなくてちゃんと検証コストかけないと。
      イマイチ元スレだけじゃ状況がわからんが、それをかけるに値する状態の製品じゃないなら上司の言は
      普通っていうか当然の判断だろう。

      「IE11はサポートしません」ってわざわざアナウンスするのもやぶ蛇な場合あるしなぁ。

      親コメント
    • MSの都合でそーなるだけなんだし、ユーザーの自己責任なのは当たり前っしょ。
      何が訳のわからない理論なんだか?

    • by Anonymous Coward

      そこでIE更新プロジェクトの営業かけてお金を取ってこられないの?
      リスク回避の視点だけなら、会社の方針がすごくまっとうに思えるけどね。

  • 正直、古いの消えて「YATTA-!」って思ったぐらいかなぁ。

    僕の担当してるものの要件がちょっと甘いのかも知れないけど、間違えたら困るロジックは当然サーバサイドで全部書いてるので、クライアントサイドで起こった事については
    「何かあったら連絡ちょーだい、すぐ直すよ」
    で済ませてる。
    もちろん、全部のブラウザで見た目を簡単にチェックしたりはするけど、一々細かい試験なんてしない。

    それに、基本的にライブラリにブラウザ間の違いは大体吸収させてるので、今までそれで
    「IE || Firefox || Chromeだけど不具合出たよ、何とかしてよ!」
    みたいな意見は結局来てない。

    というか、既にいくつかのWebサービスはそんなやり方実際にしてるし(サービス名は明言しない、ごめん)、それでいいんじゃないかなー、と思う。

    しっかりとサーバ側で値の検証をしていれば、クロスブラウザなんてそんなに問題にならないと思うんだけどなぁ。
    AJAX使って画面に表示される生成物が目的だったりしたら話は別だけど。

    ただのフォームで選択肢の組み合わせを考慮してIEでPOSTした結果とFirefoxでPOSTした結果を見比べる、なんてのには意味をあまり感じない。
    ましてや、今は開発ツールとかでいくらでも送信する値は改ざん出来るんだし。

  • by Anonymous Coward on 2015年10月05日 0時58分 (#2893960)

    何でもかんでも一方的にサポート終了する風潮どうにかならんのかね?
    途中で終了するなら最初から作るなと言いたい

  • by Anonymous Coward on 2015年10月04日 19時53分 (#2893836)

    「スラド」に来るような人ならIEは使ってないか(というかWindowsすら使ってない人も多そうだし)、最新バージョンにしてると思うよ。

    世間では対策してない奴がすごいたくさん多そうだけどな。

    • Re:聞く場所の問題 (スコア:3, すばらしい洞察)

      by Anonymous Coward on 2015年10月04日 20時23分 (#2893845)

      すごいたくさん多そうな対策してない奴を対策するのが「スラド」に来るような人orz

      親コメント
    • by Anonymous Coward

      対策の必要性すら知らないレベルだと自動更新で勝手にIE11になっていてかえって問題なさそうだ。

    • by Anonymous Coward

      IEとの付き合いが自分のPCだけ(あるいはそれすらない)の人はそうだろうけども。

    • by Anonymous Coward

      XPをしつこく使うようなアホもいっぱいるけどな。

      • by Anonymous Coward

        アホのせいで、何か問題起きた?
        多少はあったんだろうけど、当初恐れられていた世界がひっくり返るような大問題。

        • by Anonymous Coward on 2015年10月04日 22時39分 (#2893903)

          アホはアホだろ。問題の事例は知らんが。
          あと世界がひっくり返るような大問題を恐れていたことを一般の認識のように言わないでくれ。

          サポート期限切れてるものに執着してしまいにはそれを当然のような顔まで始めて
          ユーザーがいるんだから対応してくれよとか馬鹿を言い出す奴が必ず出てくる。
          期限の切れたものは素直に捨ててくれ。

          親コメント
        • by Anonymous Coward

          可能性としてのリスクを結果論で語り始めると、最後は本当に取り返しのつかない事故が起きるまで何もできなくなるよ。

          • by Anonymous Coward

            最近では組体操とかまさにそれ。事故が起きたら手のひらクルーで一斉に叩きだすけどね。

    • by Anonymous Coward

      いるか?
      旧バージョンのIEを使い続けているのって自分から望んでそうしている人だけだろ
      なんでも「はい」を押すような理解する努力を放棄するタイプの人たちは(彼等にとっては)知らない間に勝手に最新になってる

      • by Anonymous Coward

        そういう人はXPのままだったりする。
        windows10以降はOSも勝手にアップグレードされていくのかな?

      • by Anonymous Coward

        私の父親もパソコンに対しては至高を停止しているきらいがあるのですが 未だに私がプレゼントした XP を愛用しているようです。
        セキュリティの概念を把握することよりも、この世代に関しては無駄遣いをしないことに対する美徳が強い傾向があると思います(戦後生まれの影響かもしれません)。
        老眼のことを鑑みて今度は iPad (Pro) か Windows Tablet などを購入の候補に入れています。

  • by Anonymous Coward on 2015年10月04日 19時56分 (#2893839)

    別に、IEの最新版と一個前だけサポートにして
    VistaにもIE10くらい対応させればいいんじゃないのかな?

    FirefoxやChromeは、そのへんは柔軟でしょ?
    なんで、IEはできないの?

    Windows側にある、バージョン固有の何かを
    使わないとIEは実現できないの?

    • by Anonymous Coward on 2015年10月04日 19時58分 (#2893841)

      実際VistaにIE9をインストールするときとかWindows 7にIE10以降を入れるときに要求される更新プログラムは、それ以降のOSからのバックポートを含んでいる。

      親コメント
      • by Anonymous Coward

        それによって、Vistaで使うIE9や、Windows7で使うIE10は
        同OSでの、FirefoxやChromeに対しての優位性があるの?

        無いんだったら、それはIEの欠点としか思えないんだけど?

        • by Anonymous Coward

          たとえばVistaのFirefoxは、IE9用の更新プログラムによって導入されるH.264デコーダーを拝借している。

    • by headless (41064) on 2015年10月04日 22時43分 (#2893905)
      ChromeやFirefoxでも古いバージョンにパッチが提供されているわけではないし、数か月に一度はメジャーバージョンアップしていますからね。IE10は一つ前といっても3年前のリリースですよ。
      親コメント
  • by Anonymous Coward on 2015年10月04日 20時34分 (#2893851)

    Windows8は8.1に移行できるからいいんだけどWindowsServer2012はR2には移行できないから
    IE10限定という変なことになってるんだよなぁ
    IE位11にしてくださいよ、使いたくないけど使わざるおえないFlash(Flex)動きが悪いんすけど…

    • by Anonymous Coward

      WindowsServer上でIE使わなければならない用途とは?

      • windows up date

        --
        日本一のスチャラカエンジニア
        • by Anonymous Coward on 2015年10月04日 21時59分 (#2893887)

          嘘?

          親コメント
        • Re: (スコア:0, フレームのもと)

          by Anonymous Coward

          だからいつまでもWindows UpdateはIEでやると思っているXP時代から思考が停止している老害はいい加減引退してください

          • by Anonymous Coward

            バージョン問わず、IEを立ち上げたら
            ツール(T) -> Windows Update(U)
            で更新画面にたどり着けるライフハック。

      • by Anonymous Coward

        あれ?
        Win8 も Enterprise は 8.1 に出来なかった筈ですよ?

        • by headless (41064) on 2015年10月04日 22時53分 (#2893909)
          Enterprise版はユーザーが勝手にアップグレードしないようストアからのアップグレードがブロックされているだけで、ISOをダウンロードすればインプレースアップグレードも可能なはずです。
          親コメント
        • by Anonymous Coward

          サポートが終了するのは他のエディションと同じなので。一方Windows Server 2012は来年1月12日になってもサポート終了しない。

      • by Anonymous Coward

        特定メーカーの設定ツールがローカルサーバを介しての設定しかできなかったりするんすよ…
        (そういうのに限ってローカルアクセスのみ、他PCからはつなげないようにがっちり止められてたりする)
        ブラウザを一切使わなくても済むなら、それは望ましいですが使わざるおえない場面ってのはどうしてもありますんで
        外部ブラウザ入れるわけにもいきませんし

typodupeerror

犯人は巨人ファンでA型で眼鏡をかけている -- あるハッカー

読み込み中...